Bug 176239 - [maintainer update] for graphics/opencolorio
Summary: [maintainer update] for graphics/opencolorio
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-18 14:20 UTC by Shane
Modified: 2013-02-19 14:00 UTC (History)
0 users

See Also:


Attachments
file.diff (8.70 KB, patch)
2013-02-18 14:20 UTC, Shane
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2013-02-18 14:20:00 UTC
Update graphics/opencolorio to v1.0.8
Changes to patches match what has been accepted upstream for next release.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-02-19 13:55:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2013-02-19 13:55:27 UTC
Author: miwi
Date: Tue Feb 19 13:55:06 2013
New Revision: 312562
URL: http://svnweb.freebsd.org/changeset/ports/312562

Log:
  - Update to 1.0.8
  
  PR:		176239
  Submitted by:	Shane Ambler <FreeBSD@Shaneware.biz> (maintainer

Modified:
  head/graphics/opencolorio/Makefile
  head/graphics/opencolorio/distinfo   (contents, props changed)
  head/graphics/opencolorio/files/patch-docs__CMakeLists.txt   (contents, props changed)
  head/graphics/opencolorio/files/patch-export__OpenColorIO__OpenColorABI.h.in   (contents, props changed)
  head/graphics/opencolorio/files/patch-src__apps__ocioconvert__CMakeLists.txt   (contents, props changed)
  head/graphics/opencolorio/files/patch-src__apps__ociolutimage__CMakeLists.txt   (contents, props changed)
  head/graphics/opencolorio/pkg-plist   (contents, props changed)

Modified: head/graphics/opencolorio/Makefile
==============================================================================
--- head/graphics/opencolorio/Makefile	Tue Feb 19 13:18:24 2013	(r312561)
+++ head/graphics/opencolorio/Makefile	Tue Feb 19 13:55:06 2013	(r312562)
@@ -2,8 +2,8 @@
 # $FreeBSD$
 
 PORTNAME?=	opencolorio
-PORTVERSION=	1.0.7
-PORTREVISION?=	1
+PORTVERSION=	1.0.8
+PORTREVISION?=	0
 CATEGORIES=	graphics multimedia
 
 MAINTAINER?=	FreeBSD@Shaneware.biz
@@ -15,7 +15,7 @@ USE_GITHUB=	yes
 GH_ACCOUNT=	imageworks
 GH_PROJECT=	OpenColorIO
 GH_TAGNAME=	v${PORTVERSION}
-GH_COMMIT=	b3cb224
+GH_COMMIT=	8883824
 
 .if !defined(OCIO_TOOLS)
 USE_PYTHON=	2.6+
@@ -56,9 +56,9 @@ CMAKE_ARGS+=	-DOCIO_USE_SSE:BOOL=OFF
 
 .include <bsd.port.pre.mk>
 
-.if ${CC:T} == "clang" && ${ARCH} == "i386"
+.if ${CC:T} == "clang" && ${ARCH} == "i386" && ${OSVERSION} < 901000
 # workaround for pr/165968
-# may need to test osversion after fix is applied
+# was fixed in 9-STABLE before 9.1-RELEASE but not passed into 9-RELEASE
 CFLAGS+=	-march=pentium2
 .endif
 

Modified: head/graphics/opencolorio/distinfo
==============================================================================
--- head/graphics/opencolorio/distinfo	Tue Feb 19 13:18:24 2013	(r312561)
+++ head/graphics/opencolorio/distinfo	Tue Feb 19 13:55:06 2013	(r312562)
@@ -1,2 +1,2 @@
-SHA256 (opencolorio-1.0.7.tar.gz) = 54c6516a89dc9287f1bcc47f27a91fb608477295a4ba6106b45f34e89506d7d5
-SIZE (opencolorio-1.0.7.tar.gz) = 11844185
+SHA256 (opencolorio-1.0.8.tar.gz) = 9b6d540040e29394045c724c1a46ea00913e660269b03bf24790c74a5542adb4
+SIZE (opencolorio-1.0.8.tar.gz) = 11912207

Modified: head/graphics/opencolorio/files/patch-docs__CMakeLists.txt
==============================================================================
--- head/graphics/opencolorio/files/patch-docs__CMakeLists.txt	Tue Feb 19 13:18:24 2013	(r312561)
+++ head/graphics/opencolorio/files/patch-docs__CMakeLists.txt	Tue Feb 19 13:55:06 2013	(r312562)
@@ -6,7 +6,8 @@
  install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/build-html/
 -        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/OpenColorIO/html
 +        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/opencolorio
-         PATTERN .git EXCLUDE)
+         PATTERN .* EXCLUDE
+ )
  
 -find_package(LATEX)
 -if(PDFLATEX_COMPILER)

Modified: head/graphics/opencolorio/files/patch-export__OpenColorIO__OpenColorABI.h.in
==============================================================================
--- head/graphics/opencolorio/files/patch-export__OpenColorIO__OpenColorABI.h.in	Tue Feb 19 13:18:24 2013	(r312561)
+++ head/graphics/opencolorio/files/patch-export__OpenColorIO__OpenColorABI.h.in	Tue Feb 19 13:55:06 2013	(r312562)
@@ -1,18 +1,11 @@
---- ./export/OpenColorIO/OpenColorABI.h.in.orig	2012-04-18 09:38:16.000000000 +0930
-+++ ./export/OpenColorIO/OpenColorABI.h.in	2012-10-08 00:20:27.665351115 +1030
-@@ -82,8 +82,13 @@
-     #endif
-     #define OCIOHIDDEN
- #else // Others platforms not supported atm
--    #define OCIOEXPORT
--    #define OCIOHIDDEN
-+    #if __GNUC__ >= 4
-+        #define OCIOEXPORT __attribute__ ((visibility("default")))
-+        #define OCIOHIDDEN __attribute__ ((visibility("hidden")))
-+    #else
-+        #define OCIOEXPORT
-+        #define OCIOHIDDEN
-+    #endif
- #endif
+--- export/OpenColorIO/OpenColorABI.h.in.orig	2012-12-12 09:51:23.000000000 +1030
++++ export/OpenColorIO/OpenColorABI.h.in	2013-01-29 21:13:34.104857600 +1030
+@@ -65,7 +65,7 @@
  
- #endif // INCLUDED_OCIO_OPENCOLORABI_H
+ // If supported, define OCIOEXPORT, OCIOHIDDEN
+ // (used to choose which symbols to export from OpenColorIO)
+-#if defined __linux__ || __APPLE__
++#if defined __linux__ || __APPLE__ || __FreeBSD__
+     #if __GNUC__ >= 4
+         #define OCIOEXPORT __attribute__ ((visibility("default")))
+         #define OCIOHIDDEN __attribute__ ((visibility("hidden")))

Modified: head/graphics/opencolorio/files/patch-src__apps__ocioconvert__CMakeLists.txt
==============================================================================
--- head/graphics/opencolorio/files/patch-src__apps__ocioconvert__CMakeLists.txt	Tue Feb 19 13:18:24 2013	(r312561)
+++ head/graphics/opencolorio/files/patch-src__apps__ocioconvert__CMakeLists.txt	Tue Feb 19 13:55:06 2013	(r312562)
@@ -5,7 +5,7 @@
      add_executable(ocioconvert ${share_src_files} main.cpp)
      
 -    target_link_libraries(ocioconvert ${OIIO_LIBRARIES} OpenColorIO dl)
-+    target_link_libraries(ocioconvert ${OIIO_LIBRARIES} OpenColorIO)
++    target_link_libraries(ocioconvert ${OIIO_LIBRARIES} OpenColorIO ${CMAKE_DL_LIBS})
      
      install(TARGETS ocioconvert DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/bin)
  endif()

Modified: head/graphics/opencolorio/files/patch-src__apps__ociolutimage__CMakeLists.txt
==============================================================================
--- head/graphics/opencolorio/files/patch-src__apps__ociolutimage__CMakeLists.txt	Tue Feb 19 13:18:24 2013	(r312561)
+++ head/graphics/opencolorio/files/patch-src__apps__ociolutimage__CMakeLists.txt	Tue Feb 19 13:55:06 2013	(r312562)
@@ -5,7 +5,7 @@
      add_executable(ociolutimage ${share_src_files} main.cpp)
      
 -    target_link_libraries(ociolutimage ${OIIO_LIBRARIES} OpenColorIO dl)
-+    target_link_libraries(ociolutimage ${OIIO_LIBRARIES} OpenColorIO)
++    target_link_libraries(ociolutimage ${OIIO_LIBRARIES} OpenColorIO ${CMAKE_DL_LIBS})
      
      install(TARGETS ociolutimage DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/bin)
  endif()

Modified: head/graphics/opencolorio/pkg-plist
==============================================================================
--- head/graphics/opencolorio/pkg-plist	Tue Feb 19 13:18:24 2013	(r312561)
+++ head/graphics/opencolorio/pkg-plist	Tue Feb 19 13:55:06 2013	(r312562)
@@ -4,11 +4,9 @@ include/OpenColorIO/OpenColorABI.h
 include/OpenColorIO/OpenColorIO.h
 include/PyOpenColorIO/PyOpenColorIO.h
 %%PYTHON_SITELIBDIR%%/PyOpenColorIO.so
-%%PYTHON_SITELIBDIR%%/PyOpenColorIO.so.1
-%%PYTHON_SITELIBDIR%%/PyOpenColorIO.so.1.0.7
 lib/libOpenColorIO.so
 lib/libOpenColorIO.so.1
-lib/libOpenColorIO.so.1.0.7
+lib/libOpenColorIO.so.1.0.8
 libdata/pkgconfig/OpenColorIO.pc
 share/ocio/setup_ocio.sh
 %%PORTDOCS%%%%DOCSDIR%%/_images/gn10_to_linear_light.jpeg
@@ -79,40 +77,6 @@ share/ocio/setup_ocio.sh
 %%PORTDOCS%%%%DOCSDIR%%/_static/up-pressed.png
 %%PORTDOCS%%%%DOCSDIR%%/_static/up.png
 %%PORTDOCS%%%%DOCSDIR%%/_static/websupport.js
-%%PORTDOCS%%%%DOCSDIR%%/.buildinfo
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/ChangeLog.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/CompatibleSoftware.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/configurations/allocation_vars.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/configurations/index.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/configurations/nuke_default.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/configurations/spi_anim.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/configurations/spi_pipeline.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/configurations/spi_vfx.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/api/index.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/api/OpenColorIO.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/api/OpenColorTransforms.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/api/OpenColorTypes.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/bindings/PythonAPI.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/bindings/PythonTransforms.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/bindings/PythonTypes.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/coding_guidelines.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/getting_started.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/index.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/internal_architecture.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/issues.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/submitting_changes.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/developers/usage_examples.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/downloads.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/environment.pickle
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/FAQ.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/index.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/installation.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/License.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/userguide/baking_luts.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/userguide/contexts.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/userguide/index.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/userguide/looks.doctree
-%%PORTDOCS%%%%DOCSDIR%%/.doctrees/userguide/tool_overview.doctree
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog.html
 %%PORTDOCS%%%%DOCSDIR%%/CompatibleSoftware.html
 %%PORTDOCS%%%%DOCSDIR%%/configurations/allocation_vars.html
@@ -159,12 +123,6 @@ share/ocio/setup_ocio.sh
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/developers/api
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/developers
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/configurations
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/.doctrees/userguide
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/.doctrees/developers/bindings
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/.doctrees/developers/api
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/.doctrees/developers
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/.doctrees/configurations
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/.doctrees
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/_static
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/_sources/userguide
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/_sources/developers/bindings
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"